Gentoo Archives: gentoo-council

From: Alistair Bush <ali_bush@g.o>
To: gentoo-council@l.g.o
Subject: Re: [gentoo-council] pkg_pretend USE validation and VALID_USE alternative
Date: Wed, 31 Mar 2010 10:16:05
Message-Id: 201003312316.23806.ali_bush@gentoo.org
In Reply to: [gentoo-council] pkg_pretend USE validation and VALID_USE alternative by Brian Harring
> Hola all- > > Comments desired; assuming no significant blowback, I'll be pushing > this to the council level since eapi4 is annoying feature locked right > now. >
I think this solution is far better, until someone smarter than me tells me otherwise. Don't know whether I like the VALID_USE var name, so please at least think about something a little better if you can ;). ( I like green, but not too green if you know what I mean ) Will we still have to define the use flags in IUSE? I'm guessing we can't use IUSE to store this information because of the whole glep-55 thing. IUSE would be my preferred var. both defining the "relationships" and the use flags in only one go.
> Thanks- > ~harring

Replies

Subject Author
Re: [gentoo-council] pkg_pretend USE validation and VALID_USE alternative Brian Harring <ferringb@×××××.com>